# Bulk

Bulk is an application deployment system for container and cloud servers.

The goal of Bulk is to be the layer between the host container and the application.

Application frameworks inevitably have "rough edges" where a general deploy script cannot prepare an application for deployment.
Application developers are forced to *smooth* the edges of the framework through bloated deployment systems, PaaS providers, or manual build scripts.

Bulk provides "packing", application plugins, for many common frameworks.
These plugins are availabel through the chosen dependency management system for that framework.
Packing plugins become part of your app, promoting the use of your deployment system in development, test, and continuous integration.

Packing scripts provide a uniform interface to Bulk without burdening the deployment system with knowledge about every possible framework.
Packing can be developed and maintained in a familiar language to application developers.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'bulk'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install bulk

## Usage


## Contributing

1. Fork it ( https://github.com/[my-github-username]/bulk/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
